/* CSS Document */
/*************************************************
Jorge MIsael Ruiz
jmrumz 29/10/2021
*************************************************/
*, *:before, *:after
{
		margin:0;
		padding:0;
		outline:0;
		box-sizing: border-box;
		text-decoration:none;
		list-style: none;
}
html
{
		height: 100%;
}
body 
{
		font-family:Helvetica, sans-serif;
		font-size:14px;
		color:#666;
		letter-spacing: 0.08em;
		background: url(../pgimg/logo_tecnm.fw.png?v=01), linear-gradient(125deg, rgb(20,75,115), rgb(191,239,255));
		background-repeat: no-repeat;
		background-position:1% 1%;
		background-size: 30%,100%;
		height: 100%;
		display:flex;
	    flex-direction: column; /* Organiza los elementos en columnas */
}
#contenedor
{ 
		width:100%;
		flex:1;
		
 		/* Flexbox */
		display: flex;
		flex-flow: column nowrap;
		/*justify-content: flex-start;*/
		justify-content: space-between;
}

footer
{
		background:#2c3e50;
		height:3em;
		line-height:3em;
		color:#FFF;
		padding-left: 1em;
}

/*************************************************
FORMULARIO
*************************************************/
.clsFrom
{
	margin:0 auto;
	width:40%;
	min-width:35em;
	margin-top:10%;
}
.clsFrom fieldset/*(grupo de campos) dibuja una caja de los compos del formulario */
{
	border: 1px solid #0000B7; 
	border-radius: 0.31em;
	padding: 1em;
	background: #FFF;
	box-shadow: 0em 0.62em 0.62em black;
}
.clsFrom legend /*(Titulo del grupo de campos) Titulo del formulario  */
{
	background:#0000B7;
	text-align:left;
	color:#FFF;
	padding:0.25em 1.25em;
}
.clsFrom div.cfm_fila, .clsFrom div.cfm_fila_btn
{
	width:100%;
	margin-top:0.60em;
}
.clsFrom div.cfm_fila_btn
{
	margin-top:0.80em !important;
	text-align:center;
}
.clsFrom label
{
	display:block;
	color:#999;
	padding-bottom:0.20em;
}
.clsFrom input[type='text'], .clsFrom input[type='password'] 
{
	width:100%;
	border:1px solid #999;
	/*border-bottom: 0.5px solid #666;*/
	padding:0.5em 0em 0.5em 0.50em;
	/*border-radius: 0.31em;*/
	letter-spacing: 0.08em;
	color:#004080;
}
.clsFrom button
{
	cursor:pointer;
	border:1px solid #060;
	padding:0.50em 1.40em;
	border-radius: 0.30em;
	font-weight:bold;
}
.clsFrom input[type='text']:focus, .clsFrom input[type='password']:focus
{
	background:#FFD;
}
.clsFrom .btn_Ok
{
	color:#060;
} 
.clsFrom button:hover{ background:#060; color:#FFF; }
.clsFrom .btn_Disable{ background:#FFF; color:#666;  }

.clsFrom .errMsj01{ color:#F00; font-size:0.90em; }

@media screen and (max-width: 700px)
{
	.clsFrom /*class principal para los formularios*/
	{
		margin-top:25%;
		width:98%;
		min-width:98%;
	}
}
